/*
 * oled.h
 *
 *  Created on: May 29, 2017
 *      Author: wn
 */

#ifndef OLED_H_
#define OLED_H_


/*
 * Code found at http://www.instructables.com/id/How-to-use-OLED-display-arduino-module/
 * Thank you very much!
 * Adapted from Arduino to STM32 HAL by wollud1969
 */

void oledInit(void);

void oled_CLS(void);
void oled_Set_Pos(unsigned char x,unsigned char y);//Set the coordinate
void oled_WrDat(unsigned char data);   //Write Data
void oled_P6x8Char(unsigned char x,unsigned char y,unsigned char ch);
void oled_P6x8Str(unsigned char x,unsigned char y,char ch[]);
void oled_P8x16Str(unsigned char x,unsigned char y,char ch[]);

void oled_PrintBMP(unsigned char x0,unsigned char y0,unsigned char x1,unsigned char y1,unsigned char bmp[]);
void oled_Fill(unsigned char dat);
//void oled_PrintValueC(unsigned char x, unsigned char y,char data);
//void oled_PrintValueI(unsigned char x, unsigned char y, int data);
//void oled_PrintValueF(unsigned char x, unsigned char y, float data, unsigned char num);
void oled_PrintEdge(void);
void oled_Cursor(unsigned char cursor_column, unsigned char cursor_row);
void oled_PrintLine(void);

void oledClear();
void oledPrint(char msg[]);
void oledPrintf(const char *format, ...);

#endif /* OLED_H_ */
